%define ver	1.79
%define date	20011024
%define rel 15

Summary: Common files for the nvi multilingualized text editor.
Name: nvi-m17n
Version: %{ver}
Release: %{date}.%{rel}
Group: Applications/Editors
License: GPL
URL: http://www.itojun.org/itojun.j.html
## Source: ftp://ftp.foretune.co.jp/pub/tools/nvi-m17n/nvi-%{version}.tar.gz
Source: nvi-%{version}.tar.bz2
Source1: nvi-mversion.h
Patch0: ftp://ftp.foretune.co.jp/pub/tools/nvi-m17n/nvi-%{version}.m17n-%{date}.diff.gz
Patch1: nvi-%{version}.m17n-19990331.mkdir.patch
Patch2: nvi-1.79.makefile.patch
Patch3: nvi-1.79-cspace.patch
Patch4: nvi-1.79-fix-build-warnings.patch
PreReq: /bin/ln
BuildPrereq: libtermcap-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot


%description
Nvi is a multilingualized clone of the vi text editor, with support
for Japanese, Korean, Chinese, and other encoding schemes. This
package contains the common files needed for nvi. You also need to
install either nvi-m17n-canna or nvi-m17n-nocanna, depending on
whether or not you have the Canna input system installed.

%package canna
Summary: The nvi multiligualized text editor with support for Canna.
Group: Applications/Editors
BuildPreReq: Canna-devel >= 3.6-13
PreReq: /bin/ln

%description canna
Nvi is a multilingualized clone of the vi text editor, with support
for Japanese, Korean, Chinese, and other encoding schemes. This
package contains the nvi binary with support for the Canna input
system. If you do not have Canna installed, you need to install the
nvi-m17n-nocanna package instead.

%package nocanna
Summary: The nvi multiligualized text editor without support for Canna.
Group: Applications/Editors
PreReq: /bin/ln

%description nocanna
Nvi is a multilingualized clone of the vi text editor, with support
for Japanese, Korean, Chinese, and other encoding schemes. This
package contains the nvi binary without support for the Canna input
system.

%prep
%setup -q -n nvi-%{version}
#mkdir -p common/test
#mkdir -p docs.m17n
%patch0 -p0
%patch1 -p1
%patch2 -p1
%patch3 -p1 -b .cspace
%patch4 -p1 -b .warnings
cp %{SOURCE1} $RPM_BUILD_DIR/nvi-%{ver}/ex/mversion.h


%build
OPTS="--program-prefix=n --enable-multibyte=euc-jp"
(cd build
%configure ${OPTS}
make
cd -)

# build canna version
CANNA="--enable-canna --program-suffix=-canna"
if [ ! -d build.canna ]; then
	%{__mkdir} build.canna
fi
(cd build.canna && cp ../build/* . && rm -rf config.cache config.log\
%configure ${OPTS} ${CANNA} && make clean && make && cd -)

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
cd build
make DESTDIR=$RPM_BUILD_ROOT strip=/bin/true install
(cd $RPM_BUILD_ROOT%{_bindir}; mv nex nex-nocanna)
(cd $RPM_BUILD_ROOT%{_bindir}; mv nvi nvi-nocanna)
(cd $RPM_BUILD_ROOT%{_bindir}; mv nview nview-nocanna)
cd -

(cd build.canna
make DESTDIR="$RPM_BUILD_ROOT" strip=/bin/true install
cd -)

cp build/README README.build 
cp catalog/README README.catalog 
cp cl/README.signal README.signal
cp db/README README.db
cp curses/README.m17n README.m17n.curses
cp regex/README.m17n README.m17n.regex

# remove man/cat1 dir so we can build
rm -rf $RPM_BUILD_ROOT%{_mandir}/cat1

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post canna
ln -sf nex-canna %{_bindir}/nex
ln -sf nvi-canna %{_bindir}/nvi
ln -sf nview-canna %{_bindir}/nview

%preun canna
if [ "$1" = 0 ]; then
	rm -rf %{_bindir}/{nex,nvi,nview}
fi

%post nocanna
ln -sf nex-nocanna %{_bindir}/nex
ln -sf nvi-nocanna %{_bindir}/nvi
ln -sf nview-nocanna %{_bindir}/nview

%preun nocanna
if [ "$1" = 0 ]; then
	rm -rf %{_bindir}/{nex,nvi,nview}
fi

%files
%defattr(-, root, root)
%doc FAQ LAYOUT LICENSE README docs
%doc README.build README.catalog README.signal README.db
%doc ip/IP_INSTRUCTIONS regex/{COPYRIGHT,WHATSNEW}
%doc docs.m17n
%doc README.m17n.curses README.m17n.regex
%{_bindir}/qregular
%{_bindir}/regular
%{_mandir}/man1/*.1*
%{_datadir}/vi/

%files canna
%defattr(-, root, root)
%{_bindir}/*-canna

%files nocanna
%defattr(-, root, root)
%{_bindir}/*-nocanna


%changelog
* Mon Oct 20 2003 Akira TAGOH <tagoh@redhat.com> 1.79-20011024.15
- nvi-1.79-fix-build-warnings.patch: updated to fix some build warnings. (#105843)

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu May  1 2003 Akira TAGOH <tagoh@redhat.com> 1.79-20011024.13
- rebuild.

* Thu May  1 2003 Akira TAGOH <tagoh@redhat.com> 1.79-20011024.12
- nvi-1.79-fix-build-warnings.patch: applied to fix some build warnings. (#82190)

* Wed Mar 26 2003 Akira TAGOH <tagoh@redhat.com> 1.79-20011024.11
- Rebuild against the latest Canna.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Dec  3 2002 Tim Powers <timp@redhat.com> 1.79-9
- missed adding the /bin/ln requirement for all of the subpackages, added

* Mon Dec  2 2002 Tim Powers <timp@redhat.com> 1.79-8
- PreReq /bin/ln instead of Requires fileutils so that we can get this
  in the correct ordering

* Wed Nov 20 2002 Tim Powers <timp@redhat.com>
- rebuild on all arches
- fix the docs section so that we aren't clobbering all of the READMEs
  that we were trying to include

* Fri Aug 16 2002 Yukihiro Nakai <ynakai@redhat.com>
- Delete $RPM_BUILD_ROOT from %%post (#69662)

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jun 19 2002 Akira TAGOH <tagoh@redhat.com> 1.79-20011024.4
- fix the stripped binary.

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Mar  8 2002 Yukihiro Nakai <ynakai@redhat.com> - 1.79-20011024.2
- Remove tmp directory

* Thu Feb 28 2002 Yukihiro Nakai <ynakai@redhat.com> - 1.79-20011024.1
- Update to 20011024
- Add Ctrl+Space bug fix patch

* Mon Aug 13 2001 SATO Satoru <ssato@redhat.com> - 1.79-19991117.9
- add BuildPrereq: libtermcap-devel
- remove BuildPrereq: ncurses-devel and the configure option
  (--disable-curses) which causes that bug (#49875)

* Sat Jul 28 2001 SATO Satoru <ssato@redhat.com> - 1.79-19991117.8
- build with ncurses and add BuildPrereq: ncurses-devel
- bzip2 sources 

* Tue Jul 10 2001 SATO Satoru <ssato@redhat.com>
- /var/preserve -> /var/tmp

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Thu Jan 23 2001 SATO Satoru <ssato@redhat.com>
- close #24721
- clean up SPEC

* Thu Jan 04 2001 Preston Brown <pbrown@redhat.com>
- fix dir permissions on /var/preserve/vi.recover

* Thu Dec 21 2000 SATO Satoru <ssato@redhat.com>
- clean up SPEC

* Thu Aug 24 2000 Satoru Sato <ssato@redhat.com>
- rename pkg-name (nvi-1.79-m17n -> nvi-m17n)
- remove japanese descriptions

* Fri Aug 04 2000 Satoru Sato <ssato@redhat.com>
- rebuild for new glibc

* Mon Mar 27 2000 Chris Ding <cding@redhat.com>
- work with compressed man

* Mon Mar 27 2000 Chris Ding <cding@redhat.com>
- updated to m17n-19991117
- disabled curses
- added /var/preserve/vi.recover in %files

* Thu Oct  7 1999 Matt Wilson <msw@redhat.com>
- rebuilt against 6.1

* Tue Aug 24 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- built against RHL-6.0/i386
- "-" -> "_" in Version:

* Wed Aug 18 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- 1st release
